rte_eth_flex_payload_cfg(3)

NAME
rte_eth_flex_payload_cfg

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

enum rte_eth_payload_type type
uint16_t src_offset [RTE_ETH_FDIR_MAX_FLEXLEN]

Detailed Description

A structure used to select bytes extracted from the protocol layers to flexible payload for filter

Definition at line 386 of file rte_eth_ctrl.h.

Field Documentation

  enum rte_eth_payload_type type
Payload type

Definition at line 387 of file rte_eth_ctrl.h.

  uint16_t src_offset[RTE_ETH_FDIR_MAX_FLEXLEN]
Offset in bytes from the beginning of packet's payload src_offset[i] indicates the flexbyte i's offset in original packet payload. This value should be less than flex_payload_limit in struct rte_eth_fdir_info.

Definition at line 388 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.